Bug 996880 - Project screen: Source not working
Project screen: Source not working
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Toni Rikkola
Zuzana Krejčová
Depends On:
Blocks: 983516
  Show dependency treegraph
Reported: 2013-08-14 04:39 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:19:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
no source (12.72 KB, image/png)
2013-08-14 04:39 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-14 04:39:31 EDT
Created attachment 786445 [details]
no source

Description of problem:
In the Project screen, you are offered the option to view the Project Setting source (pom.xml I expect) and the Knowledge Base Settings source (I'd expect kmodule.xml). Neither of the two are working. The screen shows the same thing as before.

In the screenshot, you can see I opened the GAV option and then tried switching to the source. No source showed up.

Version-Release number of selected component (if applicable):
kie-wb 6.0 CR1
Comment 1 Toni Rikkola 2013-09-05 08:55:50 EDT
The reason why Source was an option in the Project Editor is that we needed a way to be able to edit the source file. Now that I have thought about this. It feels risky to allow hard editing the file to everybody who can open the Project Editor.

So what I did was. I removed the Source options for both pom.xml and kmodule.xml. Now if you want to hard edit them, this can be done clicking the pom.xml or kmodule.xml file in admin perspective or using the technical view in the Project Explorer.

This also removes the duplicate editors we had for these two files and the confusion that they have caused. Since opening the pom.xml for example used to open a stripped down read only view of the Project Editor. We have had few people asking where the other editing options or the ability to save went.
Comment 5 Zuzana Krejčová 2013-10-21 05:15:55 EDT
Verified in ER4: the Source view is gone form the Project Screen, functionality available as per comment 1.

Note You need to log in before you can comment on or make changes to this bug.